# Glossync
[![Build Status](https://travis-ci.org/annacrombie/glossync.svg?branch=master)](https://travis-ci.org/annacrombie/glossync)
[![Inline docs](http://inch-ci.org/github/annacrombie/glossync.svg?branch=master)](http://inch-ci.org/github/annacrombie/glossync)
[![Gem Version](https://badge.fury.io/rb/glossync.svg)](https://badge.fury.io/rb/glossync)

Easily manage multiple translations for models in your database.


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'glossync'
```

And then execute:

``
bundle
``

Or install it yourself as:

``sh
gem install glossync
``

## Usage

```ruby
class Question < ApplicationRecord
  include Glossync
  has_translations_for :question
end

I18n.locale = :en
Question.first.question #=> "What si your name?"
Question.first.update(question: "What is your name?")
I18n.locale = :ja
Question.first.update(question: "お名前はなんですか")
Question.first.question #=> "お名前はなんですか"
I18n.locale = :en
Question.first.question #=> "What is your name?"
```
## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/annacrombie/glossync.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
